# mlx.core.multiply — MLX 0.0.7 documentation

Skip to main content
`Ctrl`+`K`

# mlx.core.multiply

mlx.core.multiply(a: Union[scalar, array ], b: Union[scalar, array ], stream: Union[ None , Stream , Device ] = None) → array

  Element-wise multiplication.

  Multiply two arrays with numpy-style broadcasting semantics. Either or both input arrays can also be scalars.

  Parameters:

    - a (array) – Input array or scalar.

    - b (array) – Input array or scalar.

  Returns:

    The multiplication `a * b`.

  Return type:

    array